CalculatedBill

GET 11 endpoints
/api/v3/account/{accountId}/meter/{meterId}/calculatedBill/{versionId}/accountLineItem GetAccountLineItemsV3
Get calculated bill account line items
/api/v3/account/{accountId}/meter/{meterId}/calculatedBill/{versionId}/cost GetCalculateBillCostV3
Get calculated cost details
/api/v3/account/{accountId}/meter/{meterId}/calculatedBill/{versionId}/demand GetCalculateBillDemandV3
Get calculated demand details
/api/v3/account/{accountId}/meter/{meterId}/calculatedBill/{versionId} GetCalculateBillDetailsV3
All details related to calculated bill setup including use, cost, meter line items, and account line items
/api/v3/account/{accountId}/meter/{meterId}/calculatedBill/{versionId}/use GetCalculateBillUseV3
Get calculated use details
/api/v3/account/{accountId}/meter/{meterId}/calculatedBill/{versionId}/chargebackTask GetCalculatedBillChargebackTaskByVersionV3
Get all chargeback tasks with details for a specific version on an account and meter
/api/v3/meter/{meterId}/calculatedBill GetCalculatedBillsV3
Get a list of calculated bill versions on a meter
/api/v3/account/{accountId}/meter/{meterId}/calculatedBill GetCalculatedBillVersionHistoryV3
Get a list of calculated bill versions on this account and meter relationship
/api/v3/calculatedBill GetCalculatedBillVersionsV3
Get a list of calculated bill versions which match the provided filter conditions
/api/v3/account/{accountId}/meter/{meterId}/calculatedBill/{versionId}/meterLineItem GetMeterLineItemsV3
Get calculated bill meter line items
/api/v3/recalculateChargebackFlags RecalculateChargebackFlagsV3
Forces all Account and Meter Chargeback flags in the system to be recalculated
PUT 6 endpoints
/api/v3/account/{accountId}/meter/{meterId}/calculatedBill/{versionId}/accountLineItem ManageAccountLineItemsV3
Manage calculated bill account line items The order of items in the list defines the calculation order All line items to save should be passed If a line currently exists and is not passed in it will be deleted If any part of the create, update, or delete process fails, the entire process is rolled back
/api/v3/account/{accountId}/meter/{meterId}/calculatedBill/{versionId}/cost ManageCalculateBillCostV3
Manage calculated bill's cost If cost does not exist on the distribution it will be added If one exists it will be saved as the option sent in Since cost is required for the calculated bill distribution to work. One option is always required and cannot be deleted
/api/v3/account/{accountId}/meter/{meterId}/calculatedBill/{versionId}/demand ManageCalculateBillDemandV3
Manage calculated bill's demand If demand does not exist on the distribution it will be added If one exists it will be saved as the option sent in If the dto sends null for both (channel and fixed), then demand will get cleared
/api/v3/account/{accountId}/meter/{meterId}/calculatedBill/{versionId}/use ManageCalculateBillUseV3
Manage calculated bill's use * If use does not exist on the distribution it will be added * If use already exists it will be saved as the option sent in and any existing inputs will be deleted * Since use is required for the calculated bill distribution to work, one option is always required and cannot be deleted
/api/v3/account/{accountId}/meter/{meterId}/calculatedBill ManageCalculatedBillVersionHistoryV3
Manage a calculated bill's version history All calculated bill versions to save on this account and meter relationship should be passed If versionId is passed, this version will be updated to the request body values If copyVersionId is passed, a new version will be created and all instructions and inputs on the copyVersionId will be copied If versionId and copyVersionId are null a new version will be created Versions cannot overlap If a calculated bill version currently exists in the database, but is not passed in it will be deleted Only versions that are not currently associated with any bills can be deleted If any part of the create, update, or delete process fails, the entire process is rolled back
/api/v3/account/{accountId}/meter/{meterId}/calculatedBill/{versionId}/meterLineItem ManageMeterLineItemsV3
Manage calculated bill meter line items The order of items in the list defines the calculation order All line items to save should be passed If a line currently exists and is not passed in it will be deleted If any part of the create, update, or delete process fails, the entire process is rolled back